Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutlineFilter Class Reference

`#include <vtkOutlineFilter.h>`

Inheritance diagram for vtkOutlineFilter:

[legend]
Collaboration diagram for vtkOutlineFilter:

[legend]
List of all members.

## Detailed Description

create wireframe outline for arbitrary data set

Date:
  2002/11/03 22:51:55

Revision:
  1.33

vtkOutlineFilter is a filter that generates a wireframe outline of any data set. The outline consists of the twelve edges of the dataset bounding box.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (56%)
  - Lorensen, Bill (22%)
  - Martin, Ken (11%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkOutlineFilter.h)`
  - .`cxx` (`/Graphics/vtkOutlineFilter.cxx)`

Examples:
  vtkOutlineFilter (Examples)

Tests:
  vtkOutlineFilter (Tests)

Definition at line 53 of file vtkOutlineFilter.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkOutlineFilter * | New ()
int | IsTypeOf (const char *type)
vtkOutlineFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOutlineFilter ()
| ~vtkOutlineFilter ()
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
vtkOutlineSource * | OutlineSource

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkOutlineFilter::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 57 of file vtkOutlineFilter.h.

## Constructor & Destructor Documentation

vtkOutlineFilter::vtkOutlineFilter | ( |  | ) | `[protected]`

vtkOutlineFilter::~vtkOutlineFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOutlineFilter* vtkOutlineFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkOutlineFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkOutlineFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkOutlineFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkOutlineFilter* vtkOutlineFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkOutlineFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkOutlineFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

vtkOutlineSource* vtkOutlineFilter::OutlineSource`[protected]`

| Definition at line 63 of file vtkOutlineFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkOutlineFilter.h